from providers.sigrefdata.pnp_kml_sig_ref_data_provider import ParksNPeaksKMLSIGRefDataProvider


class KRMNPA(ParksNPeaksKMLSIGRefDataProvider):
    """SIG ref data provider for the Keith Roget Memorrial National Parks Award (KRMNPA)."""

    POLL_INTERVAL_DAYS = 365
    SIG = "KRMNPA"
    DATA_URL = "https://parksnpeaks.org/getPOI.php?poiClass=KRMNPA&poiFormat=4"

    def __init__(self, provider_config):
        super().__init__(self.SIG, provider_config, self.DATA_URL, self.POLL_INTERVAL_DAYS)